<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgCategorias.bcCategoriaAdmin}</ui:define>

	<ui:define name="cuerpoPagina">

		<h:form id="formMensajes">
			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />
		</h:form>

		<h:form id="form">
			<p:breadCrumb>
				<p:menuitem value="#{msgCategorias.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgCategorias.bcCategoria}" url="#" />
				<p:menuitem value="#{msgCategorias.bcCategoriaAdmin}"
					url="${request.contextPath}/categorias/administrar.faces" />
			</p:breadCrumb>


			<p:dataTable id="categoriaList" var="objCategoria"
				value="#{beanCategoria.getListadoCategorias()}" rows="15"
				paginator="true" paginatorPosition="bottom" multiViewState="true"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15" lazy="true">

				<f:facet name="header">#{msgCategorias.tituloAdministrar}</f:facet>

				<p:column headerText="#{msgCategorias.idCategoria}"
					style="width: 20%;">
					<h:outputText value="#{objCategoria.idCategoria}" />
				</p:column>

				<p:column headerText="#{msgCategorias.nombreCategoria}"
					style="width: 30%;">
					<h:outputText value="#{objCategoria.nombreCategoria}" />
				</p:column>

				<p:column headerText="#{msgCategorias.estado}" style="width: 25%;">
					<h:outputText
						value="#{beanCategoria.getEstadoNombre(objCategoria.estado)}" />
				</p:column>

				<p:column headerText="#{msgCategorias.numeroProductos}" style="width: 15%;">
					<h:outputText value="#{objCategoria.productos.size()}" />
				</p:column>

				<p:column headerText="" style="width: 10%;">
					<p:commandLink
						action="#{beanCategoria.seleccionarCategoriaActualizar(objCategoria)}">
						<i class="fa fa-edit"
							style="font-size: 1.3em; color: green; margin-right: 1rem;"></i>
					</p:commandLink>

					<p:commandLink
						actionListener="#{beanCategoria.seleccionarCategoriaBorrar(objCategoria)}"
						oncomplete="PF('dialogBorrar').show();"
						update=":dialogForm:nomCategoriaBorrar"
						disabled="#{objCategoria.productos.size()>0}"><i class="fa fa-trash-o" style="font-size: 1.3em; color: red;"></i>
					</p:commandLink>

				</p:column>
			</p:dataTable>

		</h:form>

		<p:dialog header="#{msgCategorias.mensajeBorrar}"
			widgetVar="dialogBorrar" modal="true" height="150px"
			resizable="false">

			<h:form id="dialogForm">
				<h:outputText value="#{msgCategorias.mensajeConfirmar}" />
				<p:separator />
				<strong> <h:outputText id="nomCategoriaBorrar"
					value="#{beanCategoria.objCategoria.nombreCategoria}" /> </strong>

				<br />
				<br />

				<div align="center"> <p:commandButton
					value="#{msgCategorias.btnBorrar}"
					style="background: red; color: #FFF"
					actionListener="#{beanCategoria.btnBorrar()}"
					update="form :formMensajes:messages"
					oncomplete="PF('dialogBorrar').hide();" ajax="true" /> <p:commandButton
					value="#{msgCategorias.btnCancelar}"
					onclick="PF('dialogBorrar').hide();" ajax="true" /> </div>
			</h:form>

		</p:dialog>

	</ui:define>

</ui:composition>

